Skip to main content
POST
/
v1
/
x
/
user
/
details
User Details
curl --request POST \
  --url https://api.agntdata.dev/v1/x/user/details \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "elonmusk",
  "user_id": "44196397"
}
'
{
  "creation_date": "Tue Jun 02 20:12:29 +0000 2009",
  "user_id": "44196397",
  "username": "elonmusk",
  "name": "Kekius Maximus",
  "follower_count": 219778553,
  "following_count": 1134,
  "favourites_count": 147042,
  "is_private": null,
  "is_verified": false,
  "is_blue_verified": true,
  "location": "",
  "profile_pic_url": "https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg",
  "profile_banner_url": "https://pbs.twimg.com/profile_banners/44196397/1739948056",
  "description": "",
  "external_url": null,
  "number_of_tweets": 78883,
  "bot": false,
  "timestamp": 1243973549,
  "has_nft_avatar": false,
  "category": null,
  "default_profile": false,
  "default_profile_image": false,
  "listed_count": 162327,
  "verified_type": null
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
username
string

Response

Response

creation_date
string
user_id
string
username
string
name
string
follower_count
integer
following_count
integer
is_private
boolean
is_verified
boolean
location
string
profile_pic_url
string
description
string
external_url
string
number_of_tweets
integer
bot
boolean
timestamp
integer